%define upstream_name    Inline-CPP
%define upstream_version 0.74

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write Perl subroutines and classes in C++
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::CppGuess)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.560.0
BuildRequires: perl(Inline) >= 0.530.0
BuildRequires: perl(Inline::C) >= 0.530.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
The the Inline::CPP manpage module allows you to put C++ source code
directly "inline" in a Perl script or module. You code classes or functions
in C++, and you can use them as if they were written in Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_MM_USE_DEFAULT=true
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TESTED
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.740.0-3.mga6
+ Revision: 1028566
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.740.0-2.mga6
+ Revision: 970012
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.740.0-1.mga6
+ Revision: 884635
- update to 0.74

* Thu Aug 13 2015 sander85 <sander85> 0.730.0-1.mga6
+ Revision: 864392
- update to 0.73

* Wed Aug 05 2015 sander85 <sander85> 0.720.0-1.mga6
+ Revision: 861354
- update to 0.72

* Sat Jun 20 2015 sander85 <sander85> 0.710.0-1.mga6
+ Revision: 836403
- update to 0.71

* Sun Oct 19 2014 umeabot <umeabot> 0.620.0-4.mga5
+ Revision: 789306
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-3.mga5
+ Revision: 742221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 685132
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 666485
- update to 0.62

* Thu Aug 21 2014 sander85 <sander85> 0.600.0-1.mga5
+ Revision: 666198
- update to 0.60

* Fri Aug 15 2014 sander85 <sander85> 0.590.0-1.mga5
+ Revision: 662750
- update to 0.59

* Tue Aug 12 2014 sander85 <sander85> 0.580.0-1.mga5
+ Revision: 661985
- update to 0.58

* Sun Aug 10 2014 sander85 <sander85> 0.550.0-1.mga5
+ Revision: 661426
- update to 0.55

* Fri Aug 01 2014 sander85 <sander85> 0.540.0-1.mga5
+ Revision: 659035
- update to 0.54

* Wed Jul 30 2014 sander85 <sander85> 0.530.0-1.mga5
+ Revision: 658146
- update to 0.53

* Tue Jul 29 2014 sander85 <sander85> 0.520.0-1.mga5
+ Revision: 657874
- update to 0.52

* Tue Feb 04 2014 shlomif <shlomif> 0.490.0-1.mga5
+ Revision: 581629
- Add missing BR on perl-devel
- update to 0.49
- imported package perl-Inline-CPP


* Thu Jan 09 2014 cpan2dist 0.46-1mga
- initial mageia release, generated with cpan2dist
